@charset "utf-8";
@import "../../_variables.sass";

.footer {
  background-image: repeating-radial-gradient(
    circle,
    #ffffff0d 0px,
    rgba(255, 255, 255, 0.4) 1px,
    transparent 1px,
    transparent 100%
  );

  @include mobile {
    padding: 0.75rem;
  }
  background-size: 18px 18px;

  .container {
    margin-bottom: 0;
  }

  .columns {
    align-items: flex-start;

    .column {
      flex-basis: auto;
      flex-grow: 0;
    }

    .column:nth-child(2) {
      margin-left: 2rem;

      @include mobile {
        margin-left: 0;
        margin-top: 1.8rem;
      }
    }
  }

  a,
  .title {
    color: $white;
  }

  a:hover {
    color: $grey-light;
  }

  svg {
    fill: $white;
    margin-bottom: -3px;
    margin-right: 0.5rem;
  }

  li {
    margin-top: 0.75rem;
    margin-bottom: 0;
  }

  .column {
    background-color: $primary;

    &:nth-of-type(-n+2) {
      padding: 2rem;

      @include mobile {
        padding: 1rem;
      }
    }
  }

  .section {
    padding: 1.5rem;
  }

  li a {
    font-size: 14px;
  }
}
